#ifndef PSDSOLVER_H
#define PSDSOLVER_H

#include "sdpm.h"
#include "pPanels.h"
#include <vector>
#include <string>

namespace sdpm
{

class DART_API SDSolver
{

private:
    


public:

Panels *pan;
double fs_alpha, fs_Mach, fs_airspeed;
unsigned long maxIt;
Eigen::VectorXd CL;
Eigen::VectorXd CD;
Eigen::VectorXd CY;
Eigen::MatrixXd cp;

SDSolver(Panels *_pan, double _alpha, double _airspeed, unsigned long _maxIt);
void Run();
    

};
} // namespace sdpm
#endif //WSDSolver_H
