#ifndef WCLOSURES_H
#define WCLOSURES_H

#include "vii.h"
#include <vector>
#include <string>

namespace vii
{

class DART_API Closures
{
public:
    Closures();
    ~Closures();
    std::vector<double> LaminarClosures(double theta, double H, double Ret, double Me, std::string name) const;
    std::vector<double> TurbulentClosures(double theta, double H, double Ct, double Ret, double Me, std::string name) const;
};
} // namespace vii
#endif //WClosures_H